// ============================================================================
//						States Classes
// ============================================================================ 
	
	// this defines what hand proxy should be displayed
	#define HIDEALL		showHandGun=0;showItemInHand=0;showItemInRightHand=0;
	#define SHOWHG 		showHandGun=1;showItemInHand=0;showItemInRightHand=0;
	#define SHOWBINOC	showHandGun=0;showItemInHand=1;showItemInRightHand=0;
	#define SHOWALL		showHandGun=1;showItemInHand=1;showItemInRightHand=1;
	
// *******************************************************************************************************
// 									Neutral
// *******************************************************************************************************
		// Note that neutral dying animations uses the same classnames for all states/stances (for example dying from RifleStandLadder class = NeutralLadder anim)
		// This is because dying animation does not need to return to the original state/stance it came from (unlike NeutralLadder anim which needs a RifleStandLadder class
		// to be able to return to RifleStance once it gots off the ladder 
		// this should be a dupplicate of Civil Dying declaration

#define State Neutral
#define RTMState Civil

	#define Stance Stand
		// Dying
			#define StandDyingC ECA_ANIM_DYINGC2(State,Stance)
			#define StandDyingI ECA_ANIM_DYINGI2(State,Stance)
			ECA_ANIM_DEATH2VAR(HIDEALL,State,Stance,RTMState);

	#undef Stance
		
	#define Stance Crouch
		// Dying
			#define CrouchDyingC ECA_ANIM_DYINGC1(State,Stance)
			#define CrouchDyingI ECA_ANIM_DYINGI1(State,Stance)
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);

	#undef Stance
	
	#define Stance Lying
		// Dying
			#define LyingDyingC ECA_ANIM_DYINGC1(State,Stance)
			#define LyingDyingI ECA_ANIM_DYINGI1(State,Stance)
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			
	#undef Stance
		
#undef State
#undef RTMState

	// neutral all stance
		ECA_ANIM_ALLNEUTRAL(HIDEALL,ATPistol,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,ATSafe,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,Civil,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,Pistol,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,PistolSafe,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,Rifle,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,RiflePistol,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		ECA_ANIM_ALLNEUTRAL(HIDEALL,RifleSafe,StandDyingI,StandDyingC,CrouchDyingI,CrouchDyingC,LyingDyingI,LyingDyingC);
		
// *******************************************************************************************************
// 									AT States
// *******************************************************************************************************

#define State AT
#define RTMState AT

	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingI);
		// Reload
			ECA_ANIM_RELOADAT(HIDEALL,State,Stance,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,ATSafe,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									ATPistol States
// *******************************************************************************************************

#define State ATPistol
#define RTMState ATPistol

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
	
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(SHOWHG,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,StandBinoc,ATPistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,StandBinoc,ATPistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,StandBinoc,ATPistolStandToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,StandBinoc,Stance,ATPistolStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,StandBinoc,Stance,ATPistolStandFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,StandBinoc,Stance,ATPistolStandFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,ATSafe,Stance,Stance,ATPistolStandToATSafe1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,ATSafe,Stance,Stance,ATPistolStandToATSafe2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Stand,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(SHOWHG,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(SHOWHG,State,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,CrouchBinoc,ATPistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,CrouchBinoc,ATPistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,CrouchBinoc,ATPistolCrouchToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,CrouchBinoc,Stance,ATPistolCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,CrouchBinoc,Stance,ATPistolCrouchFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,CrouchBinoc,Stance,ATPistolCrouchFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,ATSafe,Stance,Stance,ATPistolCrouchToATSafe1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,ATSafe,Stance,Stance,ATPistolCrouchToATSafe2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Crawl
			ECA_ANIM_CRAWL(SHOWHG,State,RTMState,DyingI);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,LyingBinoc,ATPistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,LyingBinoc,ATPistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,LyingBinoc,ATPistolLyingToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,LyingBinoc,Stance,ATPistolLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,LyingBinoc,Stance,ATPistolLyingFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,LyingBinoc,Stance,ATPistolLyingFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,ATSafe,Stance,Stance,ATPistolLyingToATSafe1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,ATSafe,Stance,Stance,ATPistolLyingToATSafe2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									ATSafe States
// *******************************************************************************************************

#define State ATSafe
#define RTMState ATSafe

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(HIDEALL,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,StandBinoc,ATSafeStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,StandBinoc,ATSafeStandToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,StandBinoc,Stance,ATSafeStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,StandBinoc,Stance,ATSafeStandFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,ATPistol,Stance,Stance,ATSafeStandToATPistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,ATPistol,Stance,Stance,ATSafeStandToATPistol2,DyingI);
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,Rifle,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(HIDEALL,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(HIDEALL,State,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,CrouchBinoc,ATSafeCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,CrouchBinoc,ATSafeCrouchToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,CrouchBinoc,Stance,ATSafeCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,CrouchBinoc,Stance,ATSafeCrouchFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,AT,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,ATPistol,Stance,Stance,ATSafeCrouchToATPistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,ATPistol,Stance,Stance,ATSafeCrouchToATPistol2,DyingI);
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,Rifle,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Crawl
			ECA_ANIM_CRAWL(HIDEALL,State,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,LyingBinoc,ATSafeLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,LyingBinoc,ATSafeLyingToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,LyingBinoc,Stance,ATSafeLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,LyingBinoc,Stance,ATSafeLyingFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,ATPistol,Stance,Stance,ATSafeLyingToATPistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,ATPistol,Stance,Stance,ATSafeLyingToATPistol2,DyingI);
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,Rifle,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									Civil States
// *******************************************************************************************************

#define State Civil
#define RTMState Civil

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASE1VAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_DEFAULT10VARMOVE(HIDEALL,State,Stance,1,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(HIDEALL,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,StandBinoc,CivilStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,StandBinoc,CivilStandToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,StandBinoc,Stance,CivilStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,StandBinoc,Stance,CivilStandFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance

	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(HIDEALL,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(HIDEALL,State,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,CrouchBinoc,CivilCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,CrouchBinoc,CivilCrouchToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,CrouchBinoc,Stance,CivilCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,CrouchBinoc,Stance,CivilCrouchFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance

	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Crawl
			ECA_ANIM_CRAWL(HIDEALL,State,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,LyingBinoc,CivilLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,LyingBinoc,CivilLyingToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,LyingBinoc,Stance,CivilLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,LyingBinoc,Stance,CivilLyingFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance

#undef State
#undef RTMState

// *******************************************************************************************************
// 									Pistol States
// *******************************************************************************************************

#define State Pistol
#define RTMState Pistol

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,Civil);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,Civil);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,Civil,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Crouch,Civil,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(SHOWHG,State,Stance,Civil,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,StandBinoc,PistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,StandBinoc,PistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,StandBinoc,PistolStandToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,StandBinoc,Stance,PistolStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,StandBinoc,Stance,PistolStandFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,StandBinoc,Stance,PistolStandFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,PistolSafe,Stance,Stance,PistolStandToCivil1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,PistolSafe,Stance,Stance,PistolStandToCivil2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,Civil);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,Civil);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,Civil,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Stand,Civil,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(SHOWHG,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(SHOWHG,State,Civil,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,CrouchBinoc,PistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,CrouchBinoc,PistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,CrouchBinoc,PistolCrouchToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,CrouchBinoc,Stance,PistolCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,CrouchBinoc,Stance,PistolCrouchFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,CrouchBinoc,Stance,PistolCrouchFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,PistolSafe,Stance,Stance,PistolCrouchToCivil1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,PistolSafe,Stance,Stance,PistolCrouchToCivil2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,Civil);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Crawl
			ECA_ANIM_CRAWL(SHOWHG,State,Civil,DyingI);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,LyingBinoc,PistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,LyingBinoc,PistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,LyingBinoc,PistolLyingToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,LyingBinoc,Stance,PistolLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,LyingBinoc,Stance,PistolLyingFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,LyingBinoc,Stance,PistolLyingFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									PistolSafe States
// *******************************************************************************************************

#define State PistolSafe
#define RTMState Civil

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASE1VAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_DEFAULT10VARMOVE(HIDEALL,State,Stance,1,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(HIDEALL,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,StandBinoc,CivilStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,StandBinoc,CivilStandToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,StandBinoc,Stance,CivilStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,StandBinoc,Stance,CivilStandFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,Pistol,Stance,Stance,CivilStandToPistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,Pistol,Stance,Stance,CivilStandToPistol2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(HIDEALL,State,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,CrouchBinoc,CivilCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,CrouchBinoc,CivilCrouchToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,CrouchBinoc,Stance,CivilCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,CrouchBinoc,Stance,CivilCrouchFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,Pistol,Stance,Stance,CivilCrouchToPistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,Pistol,Stance,Stance,CivilCrouchToPistol2,DyingI);
		//	ECA_ANIM_STATETRANSITIONTOLYING(HIDEALL,State,Stance,Pistol,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance

#undef State
#undef RTMState

// *******************************************************************************************************
// 									Rifle States
// *******************************************************************************************************

#define State Rifle
#define RTMState Rifle

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC5(State,Stance)
	#define DyingI ECA_ANIM_DYINGI5(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH5VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASE3VAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELAXED9VARMOVE(HIDEALL,State,Stance,1,RTMState,DyingI);
			ECA_ANIM_RELAXED9VARMOVE(HIDEALL,State,Stance,2,RTMState,DyingI);
			ECA_ANIM_RELAXED9VARMOVE(HIDEALL,State,Stance,3,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK4VAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN5VAR(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(HIDEALL,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMGUN(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMORTAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADBOLT(HIDEALL,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(HIDEALL,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,StandBinoc,RifleStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,StandBinoc,RifleStandToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,StandBinoc,Stance,RifleStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,StandBinoc,Stance,RifleStandFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,ATSafe,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,RiflePistol,Stance,Stance,RifleStandToRiflePistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,RiflePistol,Stance,Stance,RifleStandToRiflePistol2,DyingI);
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,RifleSafe,RTMState,DyingI);

	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	

	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC4(State,Stance)
	#define DyingI ECA_ANIM_DYINGI4(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH4VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(HIDEALL,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(HIDEALL,State,Stance,Stand,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(HIDEALL,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMGUN(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMORTAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADBOLT(HIDEALL,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(HIDEALL,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(HIDEALL,State,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,CrouchBinoc,RifleCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,CrouchBinoc,RifleCrouchToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,CrouchBinoc,Stance,RifleCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,CrouchBinoc,Stance,RifleCrouchFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,ATSafe,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,RiflePistol,Stance,Stance,RifleCrouchToRiflePistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,RiflePistol,Stance,Stance,RifleCrouchToRiflePistol2,DyingI);
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,RifleSafe,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingI);
		// Crawl
			ECA_ANIM_CRAWL(HIDEALL,State,RTMState,DyingI);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMGUN(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADMORTAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELOADBOLT(HIDEALL,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,LyingBinoc,RifleLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,LyingBinoc,RifleLyingToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,LyingBinoc,Stance,RifleLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,LyingBinoc,Stance,RifleLyingFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,ATSafe,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,RiflePistol,Stance,Stance,RifleLyingToRiflePistol1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWHG,State,RiflePistol,Stance,Stance,RifleLyingToRiflePistol2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									RiflePistol States
// *******************************************************************************************************

#define State RiflePistol
#define RTMState RiflePistol

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASE1VAR(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_RELAXED5VARMOVE(SHOWHG,State,Stance,1,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Crouch,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(SHOWHG,State,Stance,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,StandBinoc,RiflePistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,StandBinoc,RiflePistolStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,StandBinoc,RiflePistolStandToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,StandBinoc,Stance,RiflePistolStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,StandBinoc,Stance,RiflePistolStandFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,StandBinoc,Stance,RiflePistolStandFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,Rifle,Stance,Stance,RiflePistolStandToRifle1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,Rifle,Stance,Stance,RiflePistolStandToRifle2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(SHOWHG,State,Stance,RTMState);
			ECA_ANIM_RUNBDEATH2VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_COMBATWALK(SHOWHG,State,Stance,RTMState,DyingI);
			ECA_ANIM_COMBATRUN(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_COMBATRUNAIM(SHOWHG,State,Stance,RTMState,RunFDying,RunBDying);
			ECA_ANIM_WALKTO(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_RUNTO(SHOWHG,State,Stance,Stand,RTMState,RunFDying,RunBDying);
			ECA_ANIM_RUNAIMTO(SHOWHG,State,Stance,Stand,RTMState,RunFDying,RunBDying);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(SHOWHG,State,RTMState,DyingI);
			ECA_ANIM_CROUCHRUNTHROWGRENADE(SHOWHG,State,RTMState,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,CrouchBinoc,RiflePistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,CrouchBinoc,RiflePistolCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,CrouchBinoc,RiflePistolCrouchToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,CrouchBinoc,Stance,RiflePistolCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,CrouchBinoc,Stance,RiflePistolCrouchFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,CrouchBinoc,Stance,RiflePistolCrouchFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Lying,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,Rifle,Stance,Stance,RiflePistolCrouchToRifle1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,Rifle,Stance,Stance,RiflePistolCrouchToRifle2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Lying
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(SHOWHG,State,Stance,RTMState);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingC);
		// Relaxed
			ECA_ANIM_RELAXEDBASEWITHLOOP(SHOWHG,State,Stance,RTMState,DyingI);
		// Crawl
			ECA_ANIM_CRAWL(SHOWHG,State,RTMState,DyingI);
		// Reload
			ECA_ANIM_RELOADMAGAZINE(SHOWHG,State,Stance,RTMState,DyingI);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(SHOWHG,State,Stance,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,State,Stance,LyingBinoc,RiflePistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,Stance,LyingBinoc,RiflePistolLyingToBinoc1,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWBINOC,State,State,Stance,LyingBinoc,RiflePistolLyingToBinoc3,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF3(SHOWBINOC,State,State,LyingBinoc,Stance,RiflePistolLyingFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF3(HIDEALL,State,State,LyingBinoc,Stance,RiflePistolLyingFromBinoc2,DyingI);
			ECA_ANIM_TRANSITION3OF3(SHOWHG,State,State,LyingBinoc,Stance,RiflePistolLyingFromBinoc3,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Stand,RTMState,DyingI);
			ECA_ANIM_STANCETRANSITION(SHOWHG,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_TRANSITION1OF2(SHOWHG,State,Rifle,Stance,Stance,RiflePistolLyingToRifle1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,Rifle,Stance,Stance,RiflePistolLyingToRifle2,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef Stance
	
#undef State
#undef RTMState

// *******************************************************************************************************
// 									RifleSafe States
// *******************************************************************************************************

#define State RifleSafe
#define RTMState RifleSafe

	#define Stance Stand
	#define DyingC ECA_ANIM_DYINGC2(State,Stance)
	#define DyingI ECA_ANIM_DYINGI2(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH2VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,Rifle);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,Rifle);
		// Default
			ECA_ANIM_DEFAULTBASE3VAR(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_DEFAULT6VARMOVE(HIDEALL,State,Stance,1,RTMState,DyingI);
			ECA_ANIM_DEFAULT5VARMOVE(HIDEALL,State,Stance,2,RTMState,DyingI);
			ECA_ANIM_DEFAULT6VARMOVE(HIDEALL,State,Stance,3,RTMState,DyingI);
		// Walk, Run, etc...
			ECA_ANIM_SAFEWALK(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_SAFERUN5VAR(HIDEALL,State,Stance,Rifle,RunFDying,RunBDying);
		// Throw grenade
			ECA_ANIM_THROWGRENADE(HIDEALL,State,Stance,RTMState,DyingI);
			ECA_ANIM_RUNTHROWGRENADE(HIDEALL,State,Stance,Rifle,RunFDying);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,StandBinoc,RifleSafeStandToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,StandBinoc,RifleSafeStandToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,StandBinoc,Stance,RifleSafeStandFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,StandBinoc,Stance,RifleSafeStandFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Crouch,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,Rifle,RTMState,DyingI);

	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance
	
	#define Stance Crouch
	#define DyingC ECA_ANIM_DYINGC1(State,Stance)
	#define DyingI ECA_ANIM_DYINGI1(State,Stance)
	#define RunFDying ECA_ANIM_RUNFDYING2(State,Stance)
	#define RunBDying ECA_ANIM_RUNBDYING2(State,Stance)
		// Dying
			// Default Dying
			ECA_ANIM_DEATH1VAR(HIDEALL,State,Stance,RTMState);
			// Run Dying
			ECA_ANIM_RUNFDEATH2VAR(HIDEALL,State,Stance,Rifle);
			ECA_ANIM_RUNBDEATH2VAR(HIDEALL,State,Stance,Rifle);
		// Default
			ECA_ANIM_DEFAULTBASEWITHLOOP(HIDEALL,State,Stance,RTMState,DyingC);
		// Throw grenade
			ECA_ANIM_CROUCHTHROWGRENADE(HIDEALL,State,RTMState,DyingI);
		// Binoc
			ECA_ANIM_TRANSITION1OF2(HIDEALL,State,State,Stance,CrouchBinoc,RifleSafeCrouchToBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(SHOWBINOC,State,State,Stance,CrouchBinoc,RifleSafeCrouchToBinoc2,DyingI);
			ECA_ANIM_BINOC(SHOWBINOC,State,Stance,RTMState,DyingI);
			ECA_ANIM_TRANSITION1OF2(SHOWBINOC,State,State,CrouchBinoc,Stance,RifleSafeCrouchFromBinoc1,DyingI);
			ECA_ANIM_TRANSITION2OF2(HIDEALL,State,State,CrouchBinoc,Stance,RifleSafeCrouchFromBinoc2,DyingI);
		// Stance transitions
			ECA_ANIM_STANCETRANSITION(HIDEALL,State,Stance,Stand,RTMState,DyingI);
		// State transitions
			ECA_ANIM_STATETRANSITION(HIDEALL,State,Stance,Rifle,RTMState,DyingI);
		//	ECA_ANIM_STATETRANSITIONTOLYING(HIDEALL,State,Stance,Rifle,RTMState,DyingI);
			
	#undef DyingI
	#undef DyingC
	#undef RunFDyingI
	#undef RunBDyingC
	#undef Stance

#undef State
#undef RTMState